#
# spec file for package python3-cairocffi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cairocffi
Version:        0.7.2
Release:        4.1
Summary:        Python cairo bindings based on cffi
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/SimonSapin/cairocffi
Source:         https://pypi.python.org/packages/source/c/cairocffi/cairocffi-%{version}.tar.gz
BuildRequires:  cairo
BuildRequires:  gdk-pixbuf
BuildRequires:  python3-cffi >= 0.6
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       cairo
Requires:       python3-cffi >= 0.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo,
a set of Python bindings and object-oriented API for cairo.
Cairo is a 2D vector graphics library with support for multiple backends
including image buffers, PNG, PostScript, PDF, and SVG file output.

%package pixbuf
Summary:        Python cairo bindings based on cffi - pixbuf image loader
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       gdk-pixbuf

%description pixbuf
cairocffi is a CFFI-based drop-in replacement for Pycairo,
a set of Python bindings and object-oriented API for cairo.
Cairo is a 2D vector graphics library with support for multiple backends
including image buffers, PNG, PostScript, PDF, and SVG file output.

This package provides the optional gdk-pixbuf image loader module.

%prep
%setup -q -n cairocffi-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES README.rst
%{python3_sitelib}/cairocffi-%{version}-py*.egg-info
%{python3_sitelib}/cairocffi/
%exclude %{python3_sitelib}/cairocffi/test_pixbuf.py*
%exclude %{python3_sitelib}/cairocffi/pixbuf.py*
%exclude %{python3_sitelib}/cairocffi/__pycache__/pixbuf.*.pyc
%exclude %{python3_sitelib}/cairocffi/__pycache__/test_pixbuf.*.pyc

%files pixbuf
%defattr(-,root,root,-)
%{python3_sitelib}/cairocffi/pixbuf.py*
%{python3_sitelib}/cairocffi/test_pixbuf.py*
%{python3_sitelib}/cairocffi/__pycache__/pixbuf.*.pyc
%{python3_sitelib}/cairocffi/__pycache__/test_pixbuf.*.pyc

%changelog
* Mon Aug 10 2015 arun@gmx.de
- update to version 0.7.2:
  * Use ctypes.util.find_library with dlopen.
  * Fix loading of gdk_pixbuf library on Ubuntu
* Tue Jun 30 2015 arun@gmx.de
- update to version 0.7.1:
  * Add a possible work-around for #64.
* Mon Jun 29 2015 toddrme2178@gmail.com
- Depend on cairo
* Sat Jun  6 2015 arun@gmx.de
- update to version 0.7:
  (no changelog available)
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.6:
  * #39 <https://github.com/SimonSapin/cairocffi/pull/39>: Add
    xcb.XCBSurface.
  * #42 <https://github.com/SimonSapin/cairocffi/pull/42>: Add
    Win32PrintingSurface.
* Wed Sep 10 2014 toddrme2178@gmail.com
- Require gdk-pixbuf instead of typelib(GdkPixbuf)
* Wed Aug 27 2014 toddrme2178@gmail.com
- Split out optional gdk-pixbuf module.
  This avoids a lot of gtk dependencies for the main package, and
  is the recommended approach by upstream.
* Tue Aug 26 2014 toddrme2178@gmail.com
- Initial version
